Create a Course
curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"course": {
"title": "<string>",
"org": {
"sourcedId": "<string>"
},
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"academicSession": {
"sourcedId": "<string>"
},
"schoolYear": {
"href": "<string>",
"sourcedId": "<string>"
},
"courseCode": "<string>",
"grades": [],
"subjects": [],
"subjectCodes": [
"<string>"
],
"level": "<string>",
"gradingScheme": "<string>",
"resources": [
{
"href": "<string>",
"sourcedId": "<string>"
}
],
"primaryApp": "<string>"
}
}
'import requests
url = "https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/"
payload = { "course": {
"title": "<string>",
"org": { "sourcedId": "<string>" },
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"academicSession": { "sourcedId": "<string>" },
"schoolYear": {
"href": "<string>",
"sourcedId": "<string>"
},
"courseCode": "<string>",
"grades": [],
"subjects": [],
"subjectCodes": ["<string>"],
"level": "<string>",
"gradingScheme": "<string>",
"resources": [
{
"href": "<string>",
"sourcedId": "<string>"
}
],
"primaryApp": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
course: {
title: '<string>',
org: {sourcedId: '<string>'},
sourcedId: '<string>',
dateLastModified: '2023-11-07T05:31:56Z',
metadata: {},
academicSession: {sourcedId: '<string>'},
schoolYear: {href: '<string>', sourcedId: '<string>'},
courseCode: '<string>',
grades: [],
subjects: [],
subjectCodes: ['<string>'],
level: '<string>',
gradingScheme: '<string>',
resources: [{href: '<string>', sourcedId: '<string>'}],
primaryApp: '<string>'
}
})
};
fetch('https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sourcedIdPairs": {
"suppliedSourcedId": "<string>",
"allocatedSourcedId": "<string>"
}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Courses Management
Create a Course
To create a new Course. The responding system must return the set of sourcedIds that have been allocated to the newly created course record.
POST
/
ims
/
oneroster
/
rostering
/
v1p2
/
courses
/
Create a Course
⌘I